Name: wine
Version: 20030911
Release: alt1

Summary: MS-Windows emulator
Summary(ru_RU.KOI8-R):   MS-Windows
License: LGPL
Group: Emulators
Url: http://www.winehq.com/

Source: ftp://ftp.lip6.fr/pub/linux/Wine/development/Wine-%version.tar.bz2

# RH & MDK stuff
Source1: %name.init
Source2: %name.userreg
Source3: %name.systemreg
Source10: %name-config.pl
Source11: %name-launcher.sh
#Source12: %name-doc-html.bz2

Patch: %name-20021031-alt-config.patch
# MDK patches
Patch1: wine-20020804-destdir.patch
Patch2: wine-20020509-fonts.patch
# From Debian
Patch3: wine-20011226-debian.patch

#Patch4: Wine-20030408.diff.bz2

AutoReq: yes, noperl

PreReq: sed, awk, grep, shadow-utils, lib%name = %version-%release
Obsoletes: %name-debug < 20000430

# Automatically added by buildreq on Sun Sep 21 2003
BuildRequires: OpenSP XFree86-devel-static XFree86-libs docbook-dtds docbook-style-dsssl docbook-utils-print flex freetype2-devel hostinfo jackit-devel libGLU-devel libGLwrapper libalsa-devel libarts-devel libcups-devel libieee1284-devel libjack libjpeg-devel libncurses-devel libsane-devel libssl-devel libungif-devel libusb-devel openjade sgml-common splint valgrind-devel xml-common

BuildPreReq: bison flex gpm-devel libglut-devel ncurses-devel sgml-tools xpm-devel

%description
Wine, the Windows emulator, allows running Windows 3.*, Windows 95/98 and
Windows NT programs on a i386 (or compatible) machine running X11.

It is still alpha level code; don't expect everything to work.

%description -l ru_RU.KOI8-R
Wine --    Windows,   ,
  Windows 3.*, Windows 95/98  Windows NT  i386
( )    X11.

  ӣ ݣ    .
 ,  ӣ  .

%package -n %name-utils
Summary: Wine Emulator (Utilities)
Summary(ru_RU.KOI8-R):  Wine ( )
Group: Emulators
Requires: %name = %version-%release
AutoReq: yes, noperl

%description -n %name-utils
This is an ALPHA release of Wine, the MS-Windows emulator.  This is
still a developers release and many applications may still not work.

This package consists many of the utilities provided by wine, both
for compiling source using winelib and for running wine.  This
package is not strictly necessary.

Wine is often updated.

%package -n lib%name
Summary: Main library for wine
Group: System/Libraries
Requires(pre): /bin/sed, /bin/awk, /bin/egrep
Provides: libntdll.dll.so

%description -n lib%name
This is an ALPHA release of Wine, the MS-Windows emulator.  This is
still a developers release and many applications may still not work.

This package contains the library needed to run programs dynamically
linked with Wine.

Wine is often updated.

%package -n lib%name-devel
Summary: Static libraries and headers for %lib_name_orig
Group: Development/C
Requires: lib%name = %version-%release
Obsoletes: wine-devel
Provides: wine-devel

%description -n lib%name-devel
This is an ALPHA release of Wine, the MS-Windows emulator.  This is
still a developers release and many applications may still not work.

lib%name-devel contains the libraries and header files needed to
develop programs which make use of wine.

Wine is often updated.

%prep
%setup -q
#%patch -p1
%patch1 -p1
#%patch2 -p1
#%patch4 -p1

%configure \
	--enable-dll \
	--with-x \
	--prefix=%prefix \
	--enable-opengl \
	--without-curses

#Danny: Fix O3 compiling (maybe better solutution is to patch configure):
#cat include/config.h |sed 's/".def " __ASM_NAME(name) "; .scl 2; .type 32; .endef"/".type " __ASM_NAME(name) ",@function"/' > include/config.h.tmp

#mv include/config.h.tmp include/config.h

make depend
%make_build
%make_build -C programs
%make_build -C programs/regapi
%make_build -C documentation wine-doc/index.html

%install
for i in dlls/*{,/*}/Makefile dlls/Makefile; do
	perl -pi -e 's!= ..DESTDIR.//!= '$RPM_BUILD_ROOT/'!g' $i
done

#Danny: also in other dirs:
       perl -pi -e 's!= ..DESTDIR.//!= '$RPM_BUILD_ROOT/'!g' debugger/Makefile
for i in programs/*/Makefile; do
       perl -pi -e 's!= ..DESTDIR.//!= '$RPM_BUILD_ROOT/'!g' $i
done

for i in tools/*/Makefile; do
        perl -pi -e 's!= ..DESTDIR.//!= '$RPM_BUILD_ROOT/'!g' $i
done

%makeinstall LDCONFIG=/bin/true

mkdir -p $RPM_BUILD_ROOT/etc/wine
install -c -m 0644 %SOURCE2 $RPM_BUILD_ROOT/etc/wine/wine.userreg
install -c -m 0644 %SOURCE3 $RPM_BUILD_ROOT/etc/wine/wine.systemreg

install -c -m 0644 documentation/samples/config $RPM_BUILD_ROOT/etc/wine/config

rm -f %buildroot%_libdir/wine/libwine.so*
rm -f %buildroot%_libdir/wine/libwine_unicode*
rm -f %buildroot%_libdir/wine/libwine_tsx11*
rm -f %buildroot%_libdir/wine/*.a

test -L %buildroot%_libdir/wine/libgdi32.dll.so && rm -f %buildroot%_libdir/wine/libgdi32.dll.so
test -L %buildroot%_libdir/wine/libkernel32.dll.so && rm -f %buildroot%_libdir/wine/libkernel32.dll.so
test -L %buildroot%_libdir/wine/libntdll.dll.so && rm -f %buildroot%_libdir/wine/libntdll.dll.so
test -L %buildroot%_libdir/wine/libuser32.dll.so && rm -f %buildroot%_libdir/wine/libuser32.dll.so

ln -sf wine/gdi32.dll.so %buildroot%_libdir/libgdi32.dll.so
ln -sf wine/kernel32.dll.so %buildroot%_libdir/libkernel32.dll.so
ln -sf wine/ntdll.dll.so %buildroot%_libdir/libntdll.dll.so
ln -sf wine/user32.dll.so %buildroot%_libdir/libuser32.dll.so

%makeinstall -C documentation  prefix=$RPM_BUILD_ROOT%prefix
#cp programs/winetest/{include/,}wine.pm
%makeinstall -C programs	prefix=$RPM_BUILD_ROOT%prefix
%makeinstall -C programs/regapi	prefix=$RPM_BUILD_ROOT%prefix

mv %buildroot/%_bindir/wine %buildroot/%_bindir/wine.bin
install -m755 %SOURCE11 %buildroot/%_bindir/wine
mkdir -p %buildroot/usr/share/%name
install -D -m755 %SOURCE10 %buildroot/usr/share/%name/wine-config

mkdir -p %buildroot/usr/share/%name/configsamples
install documentation/samples/* %buildroot/usr/share/%name/configsamples

for i in system Desktop Favorites Fonts NetHood "Start Menu/Programs/Startup" \
         Recent SendTo ShellNew system32 Profiles/Administrator; do
	mkdir -p "$RPM_BUILD_ROOT/var/lib/wine/windows/$i"
done
mkdir -p "$RPM_BUILD_ROOT/var/lib/wine/Program Files/Common Files"
mkdir -p "$RPM_BUILD_ROOT/var/lib/wine/My Documents"

for i in shell.dll shell32.dll winsock.dll wnsock32.dll; do
	touch $RPM_BUILD_ROOT/var/lib/wine/windows/system/$i
done
touch $RPM_BUILD_ROOT/var/lib/wine/autoexec.bat
touch $RPM_BUILD_ROOT/var/lib/wine/config.sys
# take sample configs
# touch $RPM_BUILD_ROOT/var/lib/wine/windows/win.ini
install documentation/samples/win.ini $RPM_BUILD_ROOT/var/lib/wine/windows/win.ini
install documentation/samples/system.ini $RPM_BUILD_ROOT/var/lib/wine/windows/system.ini

install -c tools/fnt2bdf %buildroot/%_bindir/fnt2bdf
install -c programs/regapi/regapi %buildroot/%_bindir/regapi

mkdir -p $RPM_BUILD_ROOT%_initdir
install -m755 %SOURCE1 $RPM_BUILD_ROOT%_initdir/%name

mkdir $RPM_BUILD_ROOT/tmp
mv $RPM_BUILD_ROOT%_includedir/*  $RPM_BUILD_ROOT/tmp
mkdir $RPM_BUILD_ROOT%_includedir/%name
mv $RPM_BUILD_ROOT/tmp/* $RPM_BUILD_ROOT%_includedir/%name

%pre
/usr/sbin/groupadd -r -f %name &>/dev/null

%post
%post_service %name

%preun
%preun_service %name

%post -n lib%name
grep -qs "^%_libdir/%name$" %_sysconfdir/ld.so.conf || echo "%_libdir/%name" >>%_sysconfdir/ld.so.conf
/sbin/ldconfig


%postun -n lib%name
if [ "$1" = "0" ]; then
    rm -f %_sysconfdir/ld.so.conf.new &&
    fgrep -v -e "/usr/X11R6/lib/%name" -e "%_libdir/%name" %_sysconfdir/ld.so.conf >%_sysconfdir/ld.so.conf.new
    mv -f %_sysconfdir/ld.so.conf.new %_sysconfdir/ld.so.conf || rm -f %_sysconfdir/ld.so.conf.new
fi
/sbin/ldconfig

%files
%doc ANNOUNCE AUTHORS BUGS LICENSE README documentation/wine-doc

%config(noreplace) /etc/%name
%config(noreplace) %_initdir/*

%_bindir/wine.bin
%_bindir/wine
%_bindir/wineconsole*
%_bindir/wineserver
#%_bindir/winelauncher
%_bindir/function_grep.pl
%_bindir/wineclipsrv
%_bindir/wineshelllink
#%_bindir/dosmod
%_mandir/man1/wine.1*
%_mandir/man5/wine.conf.5*

%attr(0775, root, wine) %dir /var/lib/wine
%attr(0775, root, wine) %dir /var/lib/wine/windows
%attr(0775, root, wine) %dir /var/lib/wine/windows/system
%attr(0775, root, wine) %dir /var/lib/wine/windows/Profiles
%attr(0775, root, wine) %dir /var/lib/wine/windows/Profiles/Administrator
%attr(0775, root, wine) %dir /var/lib/wine/windows/Desktop
%attr(0775, root, wine) %dir /var/lib/wine/windows/Favorites
%attr(0775, root, wine) %dir /var/lib/wine/windows/Fonts
%attr(0775, root, wine) %dir /var/lib/wine/windows/NetHood
%attr(0775, root, wine) %dir "/var/lib/wine/windows/Start Menu"
%attr(0775, root, wine) %dir "/var/lib/wine/windows/Start Menu/Programs"
%attr(0775, root, wine) %dir "/var/lib/wine/windows/Start Menu/Programs/Startup"
%attr(0775, root, wine) %dir /var/lib/wine/windows/Recent
%attr(0775, root, wine) %dir /var/lib/wine/windows/SendTo
%attr(0775, root, wine) %dir /var/lib/wine/windows/ShellNew
%attr(0775, root, wine) %dir /var/lib/wine/windows/system32
%attr(0775, root, wine) %dir "/var/lib/wine/Program Files"
%attr(0775, root, wine) %dir "/var/lib/wine/Program Files/Common Files"
%attr(0775, root, wine) %dir "/var/lib/wine/My Documents"
%_localstatedir/wine/windows/system/*dll

%dir %_datadir/%name
%_datadir/%name/%name-config

%_datadir/%name/configsamples/config
%_datadir/%name/configsamples/system.ini
%_datadir/%name/configsamples/win.ini
%_datadir/%name/configsamples/generic.ppd

%config(noreplace) /var/lib/wine/autoexec.bat
%config(noreplace) /var/lib/wine/config.sys
%attr(0664, root, wine) %config(noreplace) /var/lib/wine/windows/win.ini
%attr(0664, root, wine) %config(noreplace) /var/lib/wine/windows/system.ini

%files -n lib%name
%doc LICENSE AUTHORS
%_libdir/lib*.dll.so
#Danny: Only add libs not for utils:
%_libdir/%name/*.drv.so
%_libdir/%name/*.dll.so
%_libdir/%name/*.acm.so

%_libdir/libwine*.so*

%files -n lib%name-devel
%doc DEVELOPERS-HINTS ChangeLog BUGS LICENSE
%_libdir/*.a
#%_libdir/libwine*.so
%_bindir/winebuild
%_bindir/wmc
%_bindir/wrc
%_includedir/%name/*.h
#%_includedir/%name/wine/*.h
%_includedir/%name/msvcrt/*.h
%_mandir/man1/wmc.1*
%_mandir/man1/wrc.1*

%files -n %name-utils
%doc LICENSE
%_bindir/fnt2bdf
%_bindir/notepad
%_libdir/%name/*.exe.so

%_bindir/progman
%_bindir/regapi
%_bindir/regedit
%_bindir/uninstaller
%_bindir/wcmd
%_bindir/winedbg
%_bindir/winedump
%_bindir/winemaker
%_bindir/winemine
%_bindir/winepath
%_bindir/winhelp
%_mandir/man1/winemaker.1*

%changelog
* Thu Sep 25 2003 Vitaly Lipatov <lav@altlinux.ru> 20030911-alt1
- new version
- add Provides: libntdll.dll.so 

* Wed Apr 16 2003 Vitaly Lipatov <lav@altlinux.ru> 20030408-alt1
- new snapshot
- build without arts support

* Tue Apr 01 2003 Vitaly Lipatov <lav@altlinux.ru> 20030318-alt1
- new snapshot
- build without curses (ttydrv) support due build problem with acs_map
- update buildrequires

* Thu Nov 21 2002 AEN <aen@altlinux.ru> 20021031-alt4
- %_libdir/lib* moved to lib%name package 

* Tue Nov 19 2002 AEN <aen@altlinux.ru> 20021031-alt3
- installation scripts fixed

* Sun Nov 10 2002 AEN <aen@altlinux.ru> 20021031-alt2
- header files moved to right place

* Sun Nov 10 2002 AEN <aen@altlinux.ru> 20021031-alt1
- new version
- spec rewritten
- new patches from MDK,RH & Debian
- new Alt config

* Tue Nov 20 2001 Dmitry V. Levin <ldv@alt-linux.org> 20011004-alt4
- Specfile cleanup.
- Rewritten startup script.
- Fixed typo in %{name}launcher.
- Added libwine_uuid.a to devel subpackage.

* Fri Oct 19 2001 AEN <aen@logic.ru> 20011004-alt3
- wineshelllink removed

* Wed Oct 17 2001 AEN <aen@logic.ru> 20011004-alt2
- wine group added in %pre

* Tue Oct 16 2001 AEN <aen@logic.ru> 20011004-alt1
- 20011004

* Tue Oct 16 2001 AEN <aen@logic.ru> 20010824-alt1
- 20010824

* Tue Sep 18 2001 AEN <aen@logic.ru> 20010731-alt2
- fixed documentation in package

* Tue Sep 18 2001 AEN <aen@logic.ru> 20010731-alt1
- alt1,2 patches

* Tue Sep 11 2001 Stefan van der Eijk <stefan@eijk.nu> 20010731-2mdk
- BuildRequires: sgml-tools
- Remove redundant BuildRequires: glibc-devel, XFree86-devel

* Mon Aug 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010731-1mdk
- 20010731.
- Rework completly the specfile (move wine from /usr/X11R6 in /usr).
- Add binfmt service to let use launch .exe file directly with wine.
- Merge rh changes.
- Requires latest setup for wine user.

* Thu Jul 12 2001 David BAUDENS <baudens@mandrakesoft.com> 20010629-1mdk
- 20010629

* Fri Jun  8 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010510-1mdk
- 20010510.

* Sun Apr 22 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010418-1mdk
- 20010418.

* Tue Mar 27 2001 David BAUDENS <baudens@mandrakesoft.com> 20010326-1mdk
- 20010326

* Sun Mar 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 20010305-1mdk
- Add /usr/X11R6/lib/wine to ld.so.conf.
- Rewrote all automaticall detection scripts and default config.
- 20010305.

* Thu Dec 07 2000 David BAUDENS <baudens@mandrakesoft.com> 20001202-1mdk
- 20001202
- Disable optimizations for this release (don't build)

* Tue Nov 28 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-4mdk
- Move libraries in %%prefix/lib/wine

* Tue Nov 28 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-3mdk
- Add flex bison (Frederic CROZAT) and Mesa-common-devel to BuildRequires
- Little spec clean up

* Fri Nov 10 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-2mdk
- Build with glibc-2.2 & gcc-2.96

* Fri Oct 27 2000 David BAUDENS <baudens@mandrakesoft.com> 20001026-1mdk
- 20001026

* Wed Oct 04 2000 David BAUDENS <baudens@mandrakesoft.com> 20001002-1mdk
- 20001002

* Mon Sep 11 2000 David BAUDENS <baudens@mandrakesoft.com> 20000909-1mdk
- 20000909

* Tue Sep 05 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-5mdk
- Rebuild with right options

* Sun Sep 03 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-4mdk
- Allow to use without install devel package

* Sat Aug 26 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-3mdk
- Add packager tag

* Tue Aug 22 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-2mdk
- Add librpcrt4.so in devel package

* Tue Aug 22 2000 David BAUDENS <baudens@mandrakesoft.com> 20000821-1mdk
- 20000821
- Make RPMLint happy (thanks to Guillaume COTTENCEAU)
- Split in two packages (devel and non devel)

* Mon Aug 14 2000 David BAUDENS <baudens@mandrakesoft.com> 20000801-2mdk
- Fix macro disastear
- Enable OpenGL - It needs a lot of tests, so please report bugs
- Some little enhancements in wine-config
- Back in /usr/X11R6
- Spec clean up

* Tue Aug 08 2000 Geoffrey Lee <snailtalk2mandrakesoft.com> 20000801-1mdk
- s|20000716|20000801|
- *real* macrosifications

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 20000716-2mdk
- automatically added BuildRequires

* Wed Jul 19 2000 David BAUDENS <baudens@mandrakesoft.com> 20000716-1mdk
- 20000716
- BM
- Move into /usr

* Mon Jul 10 2000 David BAUDENS <baudens@mandrakesoft.com> 20000614-1mdk
- 20000614
- Make Pixel happy

* Sat May 27 2000 David BAUDENS <baudens@mandrakesoft.com> 20000526-1mdk
- 20000526

* Mon May 01 2000 David BAUDENS <baudens@mandrakesoft.com> 20000430-1mdk
- 20000430
- spec cleanup
- Update URL
- Update LICENSE

* Tue Apr 18 2000 Warly <warly@mandrakesoft.com> 20000326-3mdk
- New group

* Tue Mar 30 2000 David BAUDENS <baudens@mandrakesoft.com> 20000326-2mdk
- Fix wine-config

* Mon Mar 27 2000 David BAUDENS <baudens@mandrakesoft.com> 20000326-1mdk
- 20000326

* Sun Mar 26 2000 David BAUDENS <baudens@mandrakesoft.com> 20000227-2mdk
- Use new group
- Clean up spec

* Wed Mar 01 2000 David BAUDENS <baudens@mandrakesoft.com> 20000227-1mdk
- 20000227

* Thu Dec 09 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Build with new Mesa

* Fri Nov 18 1999 - David BAUDNS <baudens@mandrakesoft.com>
- 991114

* Mon Nov 01 1999 - David BAUDENS <baudens@mandrakesoft.com>
- 991031
- Add i486, i686 and k6 arch
- Delete all locale summary and description (it's in po now)

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990923

* Thu Aug 05 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Fix an old bug in the spec (Thanks dark chmouel)

* Thu Aug 05 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Updated to 19990731

* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix %post script syntax.

* Tue Jul  6 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990704
	* windows/*.c, ole/*.c, files/*.c, multimedia/*.c:
	Converted to the new debug interface, using script written by Patrik
	Stridvall.

* Thu May 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fixed %post scripts.
- Upgrade Prereq.

* Wed May 19 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- 990518
- --enable-dll
- add de locale
- ignore RPM_OPT_FLAGS - Wine segfaults if compiled with more optimizations
  than -O2.

* Wed May 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake 6.0 adaptations.
- 990508

* Tue Apr 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990328.

* Tue Mar 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 990314
- Fix in the wine-config postinstall script.

* Sun Jan 03 1999 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- deleted the %post %postun of package wine-debug (no more needed since
  the wrapper does now the job)
- make use of %prefix definition; now changing almost one line you can
  choose wether you want to install in /usr/local or /usr or %prefix
- changed %post so it is only done the *first* time it is installed
  (otherwise people will hate us for doing weird things whith their
  hand made configurations)

* Tue Dec 29 1998 Chmouel Boudjnah <crbc@club-internet.fr>
- Adding speciale wine-conf for mandrake
- Adding postinstall script
- Changing the ./configure to put wine.conf in /etc and prefix on %prefix
- First version receveid from Pablo Saratxaga <srtxg@chanae.alphanet.ch>
